﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace SmartCart
{
    class Category
    {
        public string name { get; set; }
        public string color { get; set; }
        public int position { get; set; }
        public string image { get; set; }
        private List<Product> products;

        public Category(string setName, string setColor, string setPosition, string setImage)
        {
            name = setName;
            color = setColor;
            position = System.Convert.ToInt32(setPosition);
            products = new List<Product>();
            image = setImage;
        }

        public void AddProduct(Product product)
        {
            products.Add(product);
        }

        public void DeleteProduct(Product product)
        {
            products.Remove(product);
        }

        public List<Product> GetProducts()
        {
            return products;
        }
    }
}
