﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace SmartCart
{
    class Shoplist
    {
        public string name { get; set; }
        private List<Category> categories;
        
        public Shoplist(string setName)
        {
            name = setName;
            categories = new List<Category>();
        }

        public void AddCategory(Category category)
        {
            categories.Add(category);
        }

        public void DeleteCategory(Category category)
        {
            categories.Remove(category);
        }

        public List<Category> GetCategories()
        {
            return categories;
        }

        public void SortHemkop()
        {
            bool changed = true;
            int length = categories.Count();
            while (changed)
            {
                changed = false;
                for (int i = 1; i < length; i++)
                {
                    if (categories[i].position < categories[i - 1].position)
                    {
                        Category tmpcat = categories[i - 1];
                        categories[i - 1] = categories[i];
                        categories[i] = tmpcat;
                        changed = true;
                    }
                }
            }
        }

        public void SortLetter()
        {
            bool changed = true;
            int length = categories.Count();
            while (changed)
            {
                changed = false;
                for (int i = 1; i < length; i++)
                {
                    if (categories[i].name[0] < categories[i - 1].name[0])
                    {
                        Category tmpcat = categories[i - 1];
                        categories[i - 1] = categories[i];
                        categories[i] = tmpcat;
                        changed = true;
                    }
                }
            }
        }
    }
}
